## com.google.javascript.jscomp.jsonml
Enum ErrorLevel

    java.lang.Object
      java.lang.Enum<ErrorLevel>
          com.google.javascript.jscomp.jsonml.ErrorLevel

All Implemented Interfaces:
  Serializable, Comparable<ErrorLevel>

    public enum ErrorLevel

extends Enum<ErrorLevel>

Represents possible error levels for JsonML errors.

Enum Constant Summary
`COMPILATION_ERROR`
`COMPILATION_WARNING`
`SYNTAX_ERROR`

Method Summary
`static ErrorLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ErrorLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMPILATION_ERROR

    public static final ErrorLevel COMPILATION_ERROR

### COMPILATION_WARNING

    public static final ErrorLevel COMPILATION_WARNING

### SYNTAX_ERROR

    public static final ErrorLevel SYNTAX_ERROR

Method Detail

### values

    public static ErrorLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ErrorLevel c : ErrorLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ErrorLevel valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null